> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk copies volumes and contents to target project and allows for authorized

> Bulk copies volumes and contents to target project and allows for authorized user impersonation, does not copy snapshots and returns success/failure per volume



## OpenAPI

````yaml /api-specs/6.3/domino-volumes-api.yaml post /rpc/bulk-copy-volumes-to-project
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers: []
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /rpc/bulk-copy-volumes-to-project:
    post:
      tags:
        - volumes
      summary: >-
        Bulk copies volumes and contents to target project and allows for
        authorized
      description: >-
        Bulk copies volumes and contents to target project and allows for
        authorized user impersonation, does not copy snapshots and returns
        success/failure per volume
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.BulkCopyVolumesRequest'
        description: Volume IDs to copy and target Project ID
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.CopyVolumeOperationResults'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.BulkCopyVolumesRequest:
      properties:
        projectId:
          type: string
        volumes:
          items:
            $ref: '#/components/schemas/remotefs.VolumeCopyDTO'
          type: array
      required:
        - projectId
        - volumes
      type: object
    server.CopyVolumeOperationResults:
      properties:
        results:
          items:
            $ref: '#/components/schemas/server.CopyVolumeOperationResult'
          type: array
      required:
        - results
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.VolumeCopyDTO:
      properties:
        grants:
          items:
            $ref: '#/components/schemas/remotefs.VolumeGrantDTO'
          type: array
        sourceVolumeId:
          type: string
      required:
        - grants
        - sourceVolumeId
      type: object
    server.CopyVolumeOperationResult:
      properties:
        action:
          $ref: '#/components/schemas/remotefs.Action'
        data:
          $ref: '#/components/schemas/remotefs.Volume'
        error:
          type: string
        sourceVolumeId:
          type: string
        status:
          type: integer
      required:
        - action
        - sourceVolumeId
        - status
      type: object
    remotefs.VolumeGrantDTO:
      properties:
        targetId:
          type: string
        targetRole:
          $ref: '#/components/schemas/remotefs.VolumeRole'
      required:
        - targetId
        - targetRole
      type: object
    remotefs.Action:
      enum:
        - copy
      type: string
      x-enum-varnames:
        - ActionCopy
    remotefs.Volume:
      properties:
        capacity:
          description: Maximum size in bytes
          type: integer
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        dataPlaneId:
          type: string
        description:
          type: string
        filesystemId:
          type: string
        filesystemName:
          type: string
        grants:
          items:
            $ref: '#/components/schemas/remotefs.VolumeGrant'
          type: array
        id:
          description: Links to ONTAP volume name
          type: string
        lastMountedTime:
          type: string
        maxSnapshots:
          type: integer
        name:
          type: string
        numSnapshots:
          type: integer
        path:
          type: string
        projects:
          items:
            $ref: '#/components/schemas/remotefs.Project'
          type: array
        status:
          $ref: '#/components/schemas/remotefs.ResourceStatus'
        storageSize:
          description: Used size in bytes
          type: integer
        uniqueName:
          type: string
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
      required:
        - capacity
        - createdAt
        - createdBy
        - dataPlaneId
        - filesystemId
        - id
        - maxSnapshots
        - name
        - numSnapshots
        - path
        - status
        - uniqueName
        - updatedAt
        - updatedBy
      type: object
    remotefs.VolumeRole:
      enum:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service
      type: string
      x-enum-varnames:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service
    remotefs.UserSummary:
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
      required:
        - firstName
        - id
        - lastName
        - userName
      type: object
    remotefs.VolumeGrant:
      properties:
        isOrganization:
          type: boolean
        targetId:
          description: References Mongo user ID (including organizations)
          type: string
        targetName:
          type: string
        targetRole:
          $ref: '#/components/schemas/remotefs.VolumeRole'
      required:
        - isOrganization
        - targetId
        - targetName
        - targetRole
      type: object
    remotefs.Project:
      properties:
        addedAt:
          type: string
        addedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        name:
          type: string
        projectId:
          description: References Mongo project ID
          type: string
        volumeId:
          type: string
      required:
        - addedAt
        - addedBy
        - name
        - projectId
        - volumeId
      type: object
    remotefs.ResourceStatus:
      enum:
        - Active
        - MarkedForDeletion
        - Deleted
      type: string
      x-enum-varnames:
        - Active
        - MarkedForDeletion
        - Deleted

````